- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ZIP_Wrapper Class Reference

`#include <ZIP_Wrapper.h>`

List of all members.

## Static Public Member Functions
static int | file_list_info (char *zip_name, ACE_Double_Linked_List< ZIP_File_Info > &list)
static bool | get_file (char *accessor, ACE_Message_Block &file)
static bool | get_file (char *archive_path, char *filename, ACE_Message_Block &file)
static bool | uncompress (char *zip_archive, char *path="", bool verbose=true)

## Member Function Documentation

int ZIP_Wrapper::file_list_info | ( | char * | zip_name,
|  | ACE_Double_Linked_List< ZIP_File_Info > & | list |
| ) |  |  | `[static]`

Get a list of the files in the archive returns -1 on failure

bool ZIP_Wrapper::get_file | ( | char * | archive_path,
|  | char * | filename,
|  | ACE_Message_Block & | file |
| ) |  |  | `[static]`

Additional get_file function to avert subdirectory traversal problems with zziplib accessors

NOTE: Be sure to release the message block even if the function returns false becuase the return value might be due to unsuccessful allocation

bool ZIP_Wrapper::get_file | ( | char * | accessor,
|  | ACE_Message_Block & | file |
| ) |  |  | `[static]`

Get file and store it into an ACE_Message_Block need to provide the correct accessor string. It formed by the ZIP_Options singleton on argument parsing and stored in ZIP_Options::instance()->read_file_ ACE_Message_Block is null-terminated, but this is not reflected in the size!

NOTE: Be sure to release the message block even if the function returns false becuase the return value might be due to unsuccessful allocation

bool ZIP_Wrapper::uncompress | ( | char * | zip_archive,
|  | char * | path = `""`,
|  | bool | verbose = `true` |
| ) |  |  | `[static]`

uncompress the uncompress format will be mkdir(name of zip archive) store all files in that directory. the path is assumed to be an existing directory

The documentation for this class was generated from the following files:

- ZIP_Wrapper.h
- ZIP_Wrapper.cpp